/*
 * TV-Browser
 * Copyright (C) 04-2003 Martin Oberhauser (martin@tvbrowser.org)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * CVS information:
 *  $RCSfile$
 *   $Source$
 *     $Date: 2004-10-22 16:02:11 +0200 (Fr, 22. Okt 2004) $
 *   $Author: darras $
 * $Revision: 836 $
 */

package util.ui.view;

public abstract class AbstractView implements View {
  
  private ViewProperty mProperty;  
  
  public void setProperty(ViewProperty prop) {
    mProperty = prop;
    if (mProperty !=null) {
      onPropertiesChanged(mProperty);
    }
  }
  
  public ViewProperty getProperty() {
    return mProperty;
  }
  
  protected abstract void onPropertiesChanged(ViewProperty prop);
}